Find the answer to your Linux question:
Results 1 to 5 of 5
Hi folks, CentOS amd64 On running; # rpm -i nspluginwrapper-0.9.91.3-1.x86_64.rpm nspluginwrapper-i386-0.9.91.3-1.x86_64.rpm Code: error: Failed dependencies: libgdk-x11-2.0.so.0 is needed by nspluginwrapper-i386-0.9.91.3-1.x86_64 libgtk-x11-2.0.so.0 is needed by nspluginwrapper-i386-0.9.91.3-1.x86_64 Please advise which rpm package ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,814

    dep problem


    Hi folks,

    CentOS amd64


    On running;

    # rpm -i nspluginwrapper-0.9.91.3-1.x86_64.rpm nspluginwrapper-i386-0.9.91.3-1.x86_64.rpm
    Code:
    error: Failed dependencies:
            libgdk-x11-2.0.so.0 is needed by nspluginwrapper-i386-0.9.91.3-1.x86_64
            libgtk-x11-2.0.so.0 is needed by nspluginwrapper-i386-0.9.91.3-1.x86_64
    Please advise which rpm package provides the above dep. TIA


    B.R.
    satimis

  2. #2
    Blackfooted Penguin daark.child's Avatar
    Join Date
    Apr 2006
    Location
    West Yorks
    Posts
    4,393
    Do you have gtk2 and gtk2-devel installed?

  3. #3
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,814
    Hi daark.child,

    Do you have gtk2 and gtk2-devel installed?
    # yum search gtk2 | grep gtk2.x86_64
    Code:
    pygtk2.x86_64                            2.4.0-1                base            
    gtk2.x86_64                              2.4.13-19              base            
    gtk2.x86_64                              2.4.13-22              update          
    pygtk2.x86_64                            2.4.0-1                installed       
    gtk2.x86_64                              2.4.13-22              installed
    # yum search gtk2-devel | grep gtk2-devel.x86_64
    Code:
    pygtk2-devel.x86_64                      2.4.0-1                base            
    gtk2-devel.x86_64                        2.4.13-19              base            
    gtk2-devel.x86_64                        2.4.13-22              update
    # yum install gtk2-devel
    went throught without complaint.

    # rpm -i nspluginwrapper-0.9.91.3-1.x86_64.rpm nspluginwrapper-i386-0.9.91.3-1.x86_64.rpm
    Code:
    error: Failed dependencies:
            libgdk-x11-2.0.so.0 is needed by nspluginwrapper-i386-0.9.91.3-1.x86_64
            libgtk-x11-2.0.so.0 is needed by nspluginwrapper-i386-0.9.91.3-1.x86_64
    Still failed.


    B.R.
    satimis

  4. $spacer_open
    $spacer_close
  5. #4
    Blackfooted Penguin daark.child's Avatar
    Join Date
    Apr 2006
    Location
    West Yorks
    Posts
    4,393
    Thats a strange one because gtk2 is supposed to provide libgtk-x11-2.0.so.0. Try doing
    Code:
    #yum whatprovides libgtk-x11-2.0.so.0

  6. #5
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,814
    Hi daark.child,

    I got the packages installed by adding "--nodeps"

    # rpm -i --nodeps nspluginwrapper-0.9.91.3-1.x86_64.rpm nspluginwrap
    per-i386-0.9.91.3-1.x86_64.rpm
    Code:
    Auto-install plugins from /usr/lib64/mozilla/plugins
    Looking for plugins in /usr/lib64/mozilla/plugins
    Auto-install plugins from /root/.mozilla/plugins
    Looking for plugins in /root/.mozilla/plugins
    What is the resultant difference between adding "--nodeps" and without adding this option.

    Thats a strange one because gtk2 is supposed to provide libgtk-x11-2.0.so.0. Try doing
    Code:
    #yum whatprovides libgtk-x11-2.0.so.0
    $ sudo yum whatprovides libgtk-x11-2.0.so.0
    Code:
    Searching Packages: 
    Setting up repositories
    update                    100% |=========================|  951 B    00:00     
    base                      100% |=========================| 1.1 kB    00:00     
    addons                    100% |=========================|  951 B    00:00     
    extras                    100% |=========================| 1.1 kB    00:00     
    Reading repository metadata in from local files
    
    
    gtk2.i386                                2.4.13-19              base            
    Matched from:
    libgtk-x11-2.0.so.0
    
    
    gtk2.i386                                2.4.13-22              update          
    Matched from:
    libgtk-x11-2.0.so.0
    Importing Additional filelist information for packages
    filelists.xml.gz          100% |=========================| 1.1 MB    00:07     
    update    : ################################################## 422/422
    Added 422 new packages, deleted 0 old in 7.05 seconds
    filelists.xml.gz          100% |=========================| 1.9 MB    00:10     
    base      : ################################################## 1703/1703
    Added 1703 new packages, deleted 0 old in 10.38 seconds
    filelists.xml.gz          100% |=========================|  150 B    00:00     
    Added 0 new packages, deleted 0 old in 0.01 seconds
    filelists.xml.gz          100% |=========================|  85 kB    00:01     
    extras    : ################################################## 132/132
    Added 132 new packages, deleted 0 old in 0.64 seconds
    
    
    gtk2.i386                                2.4.13-19              base            
    Matched from:
    /usr/lib/libgtk-x11-2.0.so.0
    /usr/lib/libgtk-x11-2.0.so.0.400.13
    libgtk-x11-2.0.so.0
    
    
    gtk2.x86_64                              2.4.13-19              base            
    Matched from:
    /usr/lib64/libgtk-x11-2.0.so.0
    /usr/lib64/libgtk-x11-2.0.so.0.400.13
    libgtk-x11-2.0.so.0()(64bit)
    
    
    gtk2.x86_64                              2.4.13-22              update          
    Matched from:
    /usr/lib64/libgtk-x11-2.0.so.0
    /usr/lib64/libgtk-x11-2.0.so.0.400.13
    libgtk-x11-2.0.so.0()(64bit)
    
    
    gtk2.i386                                2.4.13-22              update          
    Matched from:
    /usr/lib/libgtk-x11-2.0.so.0
    /usr/lib/libgtk-x11-2.0.so.0.400.13
    libgtk-x11-2.0.so.0
    
    
    gtk2.i386                                2.4.13-19              base            
    Matched from:
    /usr/lib/libgtk-x11-2.0.so.0
    /usr/lib/libgtk-x11-2.0.so.0.400.13
    libgtk-x11-2.0.so.0
    
    
    frysk.x86_64                             0.0.1.2006.06.28.rh1-0 base            
    Matched from:
    /usr/lib64/frysk/libgtk-x11-2.0.so.0
    /usr/lib64/frysk/libgtk-x11-2.0.so.0.800.11
    
    
    gtk2.x86_64                              2.4.13-19              base            
    Matched from:
    /usr/lib64/libgtk-x11-2.0.so.0
    /usr/lib64/libgtk-x11-2.0.so.0.400.13
    libgtk-x11-2.0.so.0()(64bit)
    
    
    gtk2.x86_64                              2.4.13-22              update          
    Matched from:
    /usr/lib64/libgtk-x11-2.0.so.0
    /usr/lib64/libgtk-x11-2.0.so.0.400.13
    libgtk-x11-2.0.so.0()(64bit)
    
    
    gtk2.i386                                2.4.13-22              update          
    Matched from:
    /usr/lib/libgtk-x11-2.0.so.0
    /usr/lib/libgtk-x11-2.0.so.0.400.13
    libgtk-x11-2.0.so.0
    
    
    gtk2.x86_64                              2.4.13-22              installed       
    Matched from:
    /usr/lib64/libgtk-x11-2.0.so.0
    /usr/lib64/libgtk-x11-2.0.so.0.400.13
    libgtk-x11-2.0.so.0()(64bit)
    Tks.


    B.R.
    satimis

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •